\version "2.11.35"

\include "orchestrallily/orchestrallily.ly"
\include "orchestrallily/oly_settings_names.ly"

EKnumber="EK-021"

\header { 
  title = "Vierte lateinische Messe in C-Dur"
  composer = "Josef Pembaur (1848-1923)"
  enteredby = "Reinhold Kainhofer"
  maintainer = "R. Kainhofer"
  maintainerEmail = "reinhold@kainhofer.com"
  lastupdated = "May 2009"
  copyright = \markup \column{ 
      \line { "2009, Edition Kainhofer, Vienna. Alle Rechte vorbehalten / All rights reserved / Printed in Austria."} 
      \line {"Die Ausgabe darf kopiert und ohne Einschränkungen aufgeführt werden. / May be copied and performed without restriction."}
  }
}

% \include "deutsch.ly"

\orchestralScoreStructure #'(
; Part-combined staves for full score
  ("Cl" "PartCombinedStaff" ("ClI" "ClII"))
  ("Wd" "StaffGroup" ("Fl" "Cl"))
  ("Cor" "PartCombinedStaff" ("CorI" "CorII"))
  ("Tbe" "PartCombinedStaff" ("TbeI" "TbeII"))
  ("Br" "StaffGroup" ("Cor" "Tbe"))
; long score; no part-combined staves, but GrandStaves instead
  ("ClLong" "GrandStaff" ("ClI" "ClII"))
  ("WdLong" "StaffGroup" ("Fl" "ClLong"))
  ("CorLong" "GrandStaff" ("CorI" "CorII"))
  ("TbeLong" "GrandStaff" ("TbeI" "TbeII"))
  ("BrLong" "StaffGroup" ("CorLong" "TbeLong"))
; Strings, they are the same in long and short full score  
  ("V" "GrandStaff" ("VI" "VII"))
  ("Str" "StaffGroup" ("V" "Va"))
  ("VceB" "StaffGroup" ("VcB"))
  ("FullStr" "StaffGroup" ("V" "Va" "VcB"))
; Choral score
  ("Ch" "ChoirStaff" ("S" "A" "T" "B"))
; Organ score
  ("O" "PianoStaff" ("OI" "OII"))
  ("OI" "ParallelVoicesStaff" ("OIa" "OIb"))
  ("OII" "ParallelVoicesStaff" ("OIIa" "OIIb"))
  ("OrganScore" "SimultaneousMusic" ("Ch" "O"))
; Full scores: Orchestral score and long score including organ
  ("ChStrQ" "SimultaneousMusic" ("Str" "Ch" "VceB"))
  ("OrchestralScore" "SimultaneousMusic" ("Wd" "Br" "Tim" "Str" "Ch" "VceB"))
  ("LongScore" "SimultaneousMusic" ("WdLong" "BrLong" "Tim" "Str" "Ch" "O" "VceB"))
)

% \include "deutsch.ly"



TbeKey = {
  \key c \major
  \transposition c
}
TbeIKey = \TbeKey
TbeIIKey = \TbeKey

CorKey = {
  \key c \major
  \transposition c
}
CorIKey = \CorKey
CorIIKey = \CorKey

TimKey = {
  \key c \major
}



% IIIChorCorIInstrumentName = \markup { \column { "Corno I" \line{"in Mi"{\smaller\flat}"/Es"} } }
% IIIChorCorIIInstrumentName = \markup { \column { "Corno II" \line{"in Mi"{\smaller\flat}"/Es"} } }
% IIIChorCorInstrumentName = \markup { \column { "Corni" \line{"in Mi"{\smaller\flat}"/Es"} } }
% VChorCorIInstrumentName = \markup { \column { "Corno I" "in Sol/G" } }
% VChorCorIIInstrumentName = \markup { \column { "Corno II" "in Sol/G" } }
% VChorCorInstrumentName = \markup { \column { "Corni" "in Sol/G" } }
% IXChorCorIInstrumentName = \markup { \column { "Corno I" "in Mi/E" } }
% IXChorCorIIInstrumentName = \markup { \column { "Corno II" "in Mi/E" } }
% IXChorCorInstrumentName = \markup { \column { "Corni" "in Mi/E" } }

CorInstrumentName = \markup{\column{"Corno I,II in C"}}
CorIInstrumentName = \markup{\column{"Corno I in C"}}
CorIIInstrumentName = \markup{\column{"Corno II in C"}}
TbeInstrumentName = \markup{\column{"Tromba I,II in C"}}
TbeIInstrumentName = \markup{\column{"Tromba I in C"}}
TbeIIInstrumentName = \markup{\column{"Tromba II in C"}}

FlInstrumentName = "Flauto"


\layout {
  \context { \Staff 
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-1. . 3)
  }
  \context { \Lyrics
    \override VerticalAxisGroup #'minimum-Y-extent = #'(-1.2 . 0.7)
  }
  \context { \Score
    \override BarNumber #'self-alignment-X = #0
%     \override BarNumber #'outside-staff-priority = #10
  }
  \context { \ChoirStaff
    \override VerticalAxisGroup #'remove-empty = ##t
  }
}


dynamicsX = #(define-music-function (parser location offset) (number?)
#{
    \once \override DynamicText #'X-offset = $offset
    \once \override DynamicLineSpanner #'Y-offset = #0
#})

dynamicsXY = #(define-music-function (parser location offsetX offsetY)
(number? number?)
#{
    \once \override DynamicText #'X-offset = $offsetX
    \once \override DynamicLineSpanner #'Y-offset = $offsetY
#})

dynamicsInside = #(define-music-function (parser location offsetX shiftY height)
(number? number? number?)
#{
  \once \override DynamicText #'X-offset = $offsetX
  \once \override DynamicLineSpanner #'Y-offset = #0
  \once \override DynamicText #'Y-extent = #(cons $shiftY $height )
  \once \override DynamicLineSpanner #'Y-extent = #(cons $shiftY $height )
  \once \override DynamicText #'extra-offset = #(cons 0 $shiftY )
#})

dynamicsAllInside = #(define-music-function (parser location offsetX shiftY)
(number? number?)
#{
  \once \override DynamicText #'X-offset = $offsetX
%   \once \override DynamicLineSpanner #'Y-offset = #0
  \once \override DynamicText #'Y-extent = #(cons 1 -1)
  \once \override DynamicLineSpanner #'Y-extent = #(cons 1 -1)
  \once \override DynamicText #'extra-offset = #(cons 0 $shiftY )
#})
